Name:           ghostty
Version:        1.0.0
Release:        3%{?dist}
Summary:        A fast, feature-rich, and cross-platform terminal emulator

License:        MIT
URL:            https://ghostty.org
Source0:        https://release.files.ghostty.org/%{version}/ghostty-source.tar.gz
BuildRequires:  fdupes, zig >= 0.13.0, zig <= 0.14.0, pandoc, pkg-config, pkgconfig(gtk4), pkgconfig(libadwaita-1), pkgconfig(oniguruma)

%description
Ghostty is a terminal emulator that differentiates itself by being fast,
feature-rich, and native. While there are many excellent terminal emulators 
available, they all force you to choose between speed, features, or native UIs.
Ghostty provides all three.

Ghostty also intends to push the boundaries of what is possible with a terminal
emulator by exposing modern, opt-in features that enable CLI tool developers to
build more feature rich, interactive applications.

While aiming for this ambitious goal, our first step is to make Ghostty one of 
the best fully standards compliant terminal emulator, remaining compatible with 
all existing shells and software while supporting all of the latest terminal 
innovations in the ecosystem. You can use Ghostty as a drop-in replacement for 
your existing terminal emulator.


%global debug_package %{nil}

%prep
%setup -q -n ghostty-source
ZIG_GLOBAL_CACHE_DIR=/tmp/offline-cache ./nix/build-support/fetch-zig-cache.sh

%build
%install
zig build -Doptimize=ReleaseFast --prefix %{buildroot}/%{_prefix} --system /tmp/offline-cache/p -Dcpu=baseline

mkdir -p %{buildroot}/%{_datadir}/applications
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/16x16/apps
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/128x128/apps
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/256x256/apps
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/512x512/apps
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/1024x1024/apps

install images/icons/icon_1024.png %{buildroot}/%{_datadir}/icons/hicolor/1024x1024/apps/com.mitchellh.ghostty.png 

%fdupes %{buildroot}/%{_prefix}

%files
%license LICENSE
%doc README.md
/usr/bin/ghostty
/usr/share/applications/com.mitchellh.ghostty.desktop
/usr/share/bash-completion/completions/ghostty.bash
/usr/share/bat/syntaxes/ghostty.sublime-syntax
/usr/share/fish/vendor_completions.d/ghostty.fish
/usr/share/ghostty/
/usr/share/icons/hicolor/1024x1024/apps/com.mitchellh.ghostty.png
/usr/share/icons/hicolor/128x128/apps/com.mitchellh.ghostty.png
/usr/share/icons/hicolor/128x128@2/apps/com.mitchellh.ghostty.png
/usr/share/icons/hicolor/16x16/apps/com.mitchellh.ghostty.png
/usr/share/icons/hicolor/16x16@2/apps/com.mitchellh.ghostty.png
/usr/share/icons/hicolor/256x256/apps/com.mitchellh.ghostty.png
/usr/share/icons/hicolor/256x256@2/apps/com.mitchellh.ghostty.png
/usr/share/icons/hicolor/32x32/apps/com.mitchellh.ghostty.png
/usr/share/icons/hicolor/32x32@2/apps/com.mitchellh.ghostty.png
/usr/share/icons/hicolor/512x512/apps/com.mitchellh.ghostty.png
/usr/share/kio/servicemenus/com.mitchellh.ghostty.desktop
/usr/share/man/man1/ghostty.1.gz
/usr/share/man/man5/ghostty.5.gz
/usr/share/nvim/site/ftdetect/ghostty.vim
/usr/share/nvim/site/ftplugin/ghostty.vim
/usr/share/nvim/site/syntax/ghostty.vim
/usr/share/terminfo/g/ghostty
/usr/share/terminfo/ghostty.termcap
/usr/share/terminfo/ghostty.terminfo
/usr/share/terminfo/x/xterm-ghostty
/usr/share/vim/vimfiles/ftdetect/ghostty.vim
/usr/share/vim/vimfiles/ftplugin/ghostty.vim
/usr/share/vim/vimfiles/syntax/ghostty.vim
/usr/share/zsh/site-functions/_ghostty


%changelog
* Sat Dec 28 2024 Aleks Rutins <keeper@farthergate.com> - 1.0.0-3
- fix changelog
* Fri Dec 27 2024 Aleks Rutins <keeper@farthergate.com> - 1.0.0-2
- polish spec, fix lints
* Fri Dec 27 2024 Aleks Rutins <keeper@farthergate.com> - 1.0.0-1
- init at 1.0.0
